data:extend(
{
  {
    type = "item",
    name = "private-chest-buffer",
    icons = {
      {icon = "__base__/graphics/icons/logistic-chest-buffer.png"},
      {icon = "__PrivateBufferChest__/PBC.png"}
      },
    icon_size = 32,
    flags = {"goes-to-quickbar"},
    subgroup = "logistic-network",
    order = "b[storage]-e[logistic-chest-buffer]-z",
    -- place_result = "logistic-chest-buffer",
    place_result = "private-chest-buffer",
    stack_size = 50
  },
  
  {
    type = "recipe",
    name = "private-chest-buffer",
    enabled = false,
    ingredients =
    {
      {"logistic-chest-buffer", 1}
    },
    -- result = "logistic-chest-buffer",
    result = "private-chest-buffer",
  },
  
  {
    type = "logistic-container",
    name = "private-chest-buffer",
    icons = {
      {icon = "__base__/graphics/icons/logistic-chest-buffer.png"},
      {icon = "__PrivateBufferChest__/PBC.png"}
      },
    icon_size = 32,
    flags = {"placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "logistic-chest-buffer"},
    max_health = 350,
    corpse = "small-remnants",
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    resistances =
    {
      {
        type = "fire",
        percent = 90
      },
      {
        type = "impact",
        percent = 60
      }
    },
    fast_replaceable_group = "container",
    inventory_size = 48,
    logistic_mode = "buffer",
    logistic_slots_count = 12,
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      -- filename = "__base__/graphics/entity/logistic-chest/logistic-chest-buffer.png",
      filename = "__PrivateBufferChest__/PBC-entity.png",
      priority = "extra-high",
      width = 38,
      height = 32,
      shift = {0.09375, 0}
    },
    circuit_wire_connection_point = circuit_connector_definitions["chest"].points,
    circuit_connector_sprites = circuit_connector_definitions["chest"].sprites,
    circuit_wire_max_distance = default_circuit_wire_max_distance
  }

}
)

-- data.raw.technology["logistic-system"].effects[2].type = "unlock-recipe"
-- data.raw.technology["logistic-system"].effects[2].recipe = "logistic-chest-requester"

if data.raw.technology["logistic-system"] and
  data.raw.technology["logistic-system"].effects then
  local effects = data.raw.technology["logistic-system"].effects
  table.insert(effects, {type = "unlock-recipe", recipe = "logistic-chest-requester"})
end  

